# Generated by iptables-save v1.4.1.1 on Sun Apr 14 19:03:59 2013
*raw
:PREROUTING ACCEPT [13:2416]
:OUTPUT ACCEPT [4:196]
COMMIT
# Completed on Sun Apr 14 19:03:59 2013
# Generated by iptables-save v1.4.1.1 on Sun Apr 14 19:03:59 2013
*nat
:PREROUTING ACCEPT [4:580]
:POSTROUTING ACCEPT [3:156]
:OUTPUT ACCEPT [3:156]
COMMIT
# Completed on Sun Apr 14 19:03:59 2013
# Generated by iptables-save v1.4.1.1 on Sun Apr 14 19:03:59 2013
*mangle
:PREROUTING ACCEPT [13:2416]
:INPUT ACCEPT [10:2164]
:FORWARD ACCEPT [3:252]
:OUTPUT ACCEPT [4:196]
:POSTROUTING ACCEPT [4:196]
COMMIT
# Completed on Sun Apr 14 19:03:59 2013
# Generated by iptables-save v1.4.1.1 on Sun Apr 14 19:03:59 2013
*filter
:INPUT DROP [0:0]
:FORWARD DROP [3:252]
:OUTPUT DROP [0:0]
:MYCHAIN - [0:0]
-A INPUT -j MYCHAIN 
-A INPUT -m mark --mark 0x4d2 -j LOG --log-prefix " ACCEPT  INPUT  " 
-A INPUT -m mark --mark 0x4d2 -j ACCEPT 
-A INPUT -j LOG --log-prefix " REFUSED  INPUT  " 
-A FORWARD -j MYCHAIN 
-A FORWARD -m mark --mark 0xd80 -j LOG --log-prefix " ACCEPT  FORWARD  " 
-A FORWARD -m mark --mark 0xd80 -j ACCEPT 
-A FORWARD -j LOG --log-prefix " REFUSED  FORWARD  " 
-A OUTPUT -j MYCHAIN 
-A OUTPUT -m mark --mark 0x929 -j LOG --log-prefix " ACCEPT  OUTPUT  " 
-A OUTPUT -m mark --mark 0x929 -j ACCEPT 
-A OUTPUT -j LOG --log-prefix " REFUSED  OUTPUT  " 
-A MYCHAIN -i eth0 -p icmp -j MARK --set-xmark 0x4d2/0xffffffff 
-A MYCHAIN -o eth0 -p icmp -j MARK --set-xmark 0x929/0xffffffff 
-A MYCHAIN -i eth0 -p tcp -m tcp --dport 22 -j MARK --set-xmark 0x4d2/0xffffffff 
-A MYCHAIN -o eth0 -p tcp -m tcp --sport 22 -j MARK --set-xmark 0x929/0xffffffff 
-A MYCHAIN -i eth2 -p icmp -j MARK --set-xmark 0x4d2/0xffffffff 
-A MYCHAIN -o eth2 -p icmp -j MARK --set-xmark 0x929/0xffffffff 
-A MYCHAIN -i eth2 -p tcp -m multiport --dports 22,10000,20000,30000 -j MARK --set-xmark 0x4d2/0xffffffff 
-A MYCHAIN -o eth2 -p tcp -m multiport --sports 22,10000,20000,30000 -j MARK --set-xmark 0x929/0xffffffff 
-A MYCHAIN -i eth2 -p udp -m multiport --dports 67,666 -j MARK --set-xmark 0x4d2/0xffffffff 
-A MYCHAIN -o eth2 -p udp -m multiport --sports 67,666 -j MARK --set-xmark 0x929/0xffffffff 
-A MYCHAIN -i eth0 -o eth1 -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth1 -o eth0 -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth2 -o eth1 -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth1 -o eth2 -m state --state ESTABLISHED -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth2 -o eth0 -p tcp -m multiport --dports 22,80 -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth2 -o eth0 -p udp -m udp --dport 53 -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth0 -o eth2 -p tcp -m multiport --sports 22,80 -m state --state ESTABLISHED -j MARK --set-xmark 0xd80/0xffffffff 
-A MYCHAIN -i eth0 -o eth2 -p udp -m udp --sport 53 -m state --state ESTABLISHED -j MARK --set-xmark 0xd80/0xffffffff 
COMMIT
# Completed on Sun Apr 14 19:03:59 2013
